<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_locale_css' ) ):
    function chld_thm_cfg_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'chld_thm_cfg_locale_css' );

if ( !function_exists( 'chld_thm_cfg_parent_css' ) ):
    function chld_thm_cfg_parent_css() {
        wp_enqueue_style( 'chld_thm_cfg_parent', trailingslashit( get_template_directory_uri() ) . 'style.css', array(  ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'chld_thm_cfg_parent_css', 10 );




// RENDIMENT CF7
function contactform_dequeue_scripts() {

    $load_scripts = false;

    if( is_singular() ) {
    	$post = get_post();

    	if( has_shortcode($post->post_content, 'contact-form-7') ) {
        	$load_scripts = true;
    	}

    }

    if( ! $load_scripts ) {
        wp_dequeue_script( 'contact-form-7' );
        wp_dequeue_style( 'contact-form-7' );
    }

}

add_action( 'wp_enqueue_scripts', 'contactform_dequeue_scripts', 99 );



// GDPR cookie compliance
add_action( 'gdpr_cc_prevent_ajax_script_inject', '__return_true' );

add_action( 'gdpr_extend_loc_data', 'my_gdpr_extend_loc_data', 20, 1 );
function my_gdpr_extend_loc_data( $loc_data ) {
unset( $loc_data['ajaxurl'] );
return $loc_data;
}



// END ENQUEUE PARENT ACTION
// AÑADIR TAB MODELOS | FICHA WOOCOMMERCE 
add_filter( 'woocommerce_product_tabs', 'woo_new_product_tab' );
function woo_new_product_tab( $tabs ) {
	
	// Adds the new tab
	
	$tabs['modelos_tab'] = array(
		'title' 	=> __( 'Modelos', 'woocommerce' ),
		'priority' 	=> 50,
		'callback' 	=> 'woo_new_product_tab_content'
	);

	return $tabs;

}
function woo_new_product_tab_content() {

	// The new tab content

	echo get_post_meta( get_the_ID(), 'modelos', true );
	
}



// AÑADIR TAB EXTRAS | FICHA WOOCOMMERCE 
add_filter( 'woocommerce_product_tabs', 'woo_new_product_tab2' );
function woo_new_product_tab2( $tabs ) {
	
	// Adds the new tab
	
	$tabs['extras_tab'] = array(
		'title' 	=> __( 'Extras', 'woocommerce' ),
		'priority' 	=> 50,
		'callback' 	=> 'woo_new_product_tab2_content'
	);

	return $tabs;

}
function woo_new_product_tab2_content() {

	// The new tab content

	echo get_post_meta( get_the_ID(), 'extras', true );
	
}



// CF7 URL ACTUAL
add_action("wpcf7_init", "mp_cf7_custom_shortcode");

function mp_cf7_custom_shortcode(){
    wpcf7_add_form_tag( 'urlactual', 'cf7_add_urlactual', array( 'name-attr' => true ) );
}


function cf7_add_urlactual($tag){
    $actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
    $obj = '<span class="wpcf7-form-control-wrap '.$tag->name.'">    
                <input type="hidden" value="'.$actual_link.'" name="'.$tag->name.'"/>                
            </span>';
    return $obj;
}
